=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-migrations,
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.46.0),
               libgnome-desktop-3-dev (>= 3.34.2),
               libgtk-3-dev (>= 3.22.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-dev (>= 209) [linux-any],
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson (>= 0.53.0),
               systemd [linux-any],
               xmlto,
               xsltproc,
               xtrans-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session/tree/ubuntu/master

Package: gnome-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xwayland,
         ${misc:Depends}
Suggests: desktop-base,
          gnome-keyring
Breaks: gnome-initial-setup (<< 3.37.90),
        gnome-session-bin (<< 3.37.0-2~),
        ubuntu-session (<= 3.29.90-1ubuntu1)
Replaces: gnome-session-bin (<< 3.37.0-2~),
          ubuntu-session (<= 3.29.90-1ubuntu1)
Provides: x-session-manager
Description: GNOME Session Manager - GNOME 3 session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME 3
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-startup-applications
Architecture: any
Depends: gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (>= ${source:Version}),
         ${misc:Depends}
Breaks: gnome-session-bin (<< 3.28.0-0ubuntu4~),
        gnome-session-common (<< 3.28.0-0ubuntu4~)
Replaces: gnome-session-bin (<< 3.28.0-0ubuntu4~),
          gnome-session-common (<< 3.28.0-0ubuntu4~)
Description: Startup Applications manager for GNOME
 The Startup Applications Preferences app allows configuring
 applications to run automatically when logging in to your desktop.
 This app complies with the FreeDesktop.org Desktop Application Autostart
 Specification so it will work even if your chosen desktop is not GNOME.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xwayland,
         yaru-theme-gnome-shell (>= 20.04.3~),
         ${misc:Depends}
Recommends: python3,
            session-migration
Breaks: gnome-session (<= 3.29.90-1ubuntu1),
        hud (<< 14.10+17.10.20170619),
        unity (<< 7.5.0+17.10.20170619),
        unity-gtk-module (<< 0.0.0+17.04.20170918),
        unity-settings-daemon (<< 15.04.1+17.04.20170619)
Replaces: gnome-session (<= 3.29.90-1ubuntu1)
Provides: x-session-manager
Description: Ubuntu session with GNOME Shell
 This package contains the required components for running a GNOME 3 session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: unity-session
Architecture: all
Depends: dbus-user-session,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         systemd (>= 231-9git1~),
         unity,
         unity-settings-daemon,
         ${misc:Depends}
Recommends: gtk3-nocsd,
            rhythmbox-plugin-zeitgeist,
            session-migration,
            thunderbird-gnome-support,
            zeitgeist-datahub
Provides: x-session-manager
Breaks: hud (<< 14.10+17.10.20170619),
        unity (<< 7.5.0+17.10.20170619),
        unity-gtk-module (<< 0.0.0+17.04.20170918),
        unity-settings-daemon (<< 15.04.1+17.04.20170619),
        gnome-session-bin (<< 3.37.0-2ubuntu1~)
Replaces: ubuntu-session (<< 3.24.1-0ubuntu2),
          gnome-session-bin (<< 3.37.0-2ubuntu1~)
Description: Unity session, previous ubuntu default experience.
 This package contains the required components for the Unity session.
 It can be started from a display manager such as LightDM.

Package: gnome-session-bin
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-startup-applications,
            default-logind [linux-any] | logind [linux-any]
Breaks: gdm3 (<< 3.37.90)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Breaks: eog (<< 3.36.0),
        evince (<< 3.30),
        evolution (<< 3.30.0),
        gnome-session-bin (<< 3.37.0-2~)
Replaces: gnome-session-bin (<< 3.37.0-2~)
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.
