## gnome-session 42.0-3pearl11

=== debian/changelog ===
gnome-session (42.0-3pearl11) cade; urgency=medium

  * No change rebuild ubuntu made pearl session
    

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Wed, 08 Jun 2022 00:07:53 +0200
