=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: gnome-session
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: 
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-migrations,
@@ -83,7 +83,7 @@
  This app complies with the FreeDesktop.org Desktop Application Autostart
  Specification so it will work even if your chosen desktop is not GNOME.
 
-Package: ubuntu-session
+Package: pearl-session
 Architecture: all
 Depends: gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-bin (>= ${binary:Version}),
@@ -102,9 +102,9 @@
         unity-settings-daemon (<< 15.04.1+17.04.20170619)
 Replaces: gnome-session (<= 3.29.90-1ubuntu1)
 Provides: x-session-manager
-Description: Ubuntu session with GNOME Shell
+Description: Pearl session with GNOME Shell
  This package contains the required components for running a GNOME 3 session
- with default Ubuntu configuration, based on the GNOME Shell.
+ with default Pearl configuration, based on the GNOME Shell.
 
 Package: unity-session
 Architecture: all
