## gnome-session 43.0

=== debian/changelog ===
gnome-session (43.0-1+deb12u1) bookworm; urgency=medium

  * Team upload
  * d/gbp.conf: Configure branches for Debian 12 stable updates
  * Open text files in gnome-text-editor if gedit is not installed.
    The preinstalled text editor for Debian GNOME systems was changed
    from gedit in Debian 11 to gnome-text-editor in Debian 12, but this
    file was not updated to match, resulting in various plain-text formats
    being opened in Libreoffice Writer rather than gnome-text-editor in a
    default task-gnome-desktop installation with no further configuration.
    To preserve current behaviour for systems that have gedit installed
    (perhaps as a result of them having been upgraded from Debian 11 to
    12), for all file types that were previously handled with gedit,
    continue to use gedit by default if it happens to be installed,
    but fall back to gnome-text-editor if gedit is not present.
    The preference order is likely to change to gnome-text-editor as
    default, with gedit as a fallback, in Debian 13.
    (Closes: #1055838)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Nov 2023 18:34:53 +0000

gnome-session (43.0-1) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * New upstream bugfix release (LP: #1992495)
    - Don't install gnome-session-custom-session (Closes: #1013672)

  [ Jeremy Bicha ]
  * Have gnome-session depend on
    xdg-desktop-portal-gnome | xdg-desktop-portal-backend (LP: #1970424)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 14:08:35 -0400
